package ru.landgrafhomyak.db.skeleton1.api.statement

public interface QueriesCompiler<RUNTIME_KEY : Any> {
	public fun <qUE : Any?> raw_void2void(constructor: RawStatement.Void2Void.ImplementationsProvider<qUE>): RawStatement.Void2Void<qUE, RUNTIME_KEY>
	public fun <qUE : Any> raw_void2row(constructor: RawStatement.Void2Row.ImplementationsProvider<qUE>): RawStatement.Void2Row<qUE, RUNTIME_KEY>
	public fun <qUE : Any> raw_void2rowOrNull(constructor: RawStatement.Void2RowOrNull.ImplementationsProvider<qUE>): RawStatement.Void2RowOrNull<qUE, RUNTIME_KEY>
	public fun <qUE : Any> raw_void2table(constructor: RawStatement.Void2Table.ImplementationsProvider<qUE>): RawStatement.Void2Table<qUE, RUNTIME_KEY>
	public fun <qUE : Any> raw_params2void(constructor: RawStatement.Params2Void.ImplementationsProvider<qUE>): RawStatement.Params2Void<qUE, RUNTIME_KEY>
	public fun <qUE : Any> raw_params2row(constructor: RawStatement.Params2Row.ImplementationsProvider<qUE>): RawStatement.Params2Row<qUE, RUNTIME_KEY>
	public fun <qUE : Any> raw_params2rowOrNull(constructor: RawStatement.Params2RowOrNull.ImplementationsProvider<qUE>): RawStatement.Params2RowOrNull<qUE, RUNTIME_KEY>
	public fun <qUE : Any> raw_params2table(constructor: RawStatement.Params2Table.ImplementationsProvider<qUE>): RawStatement.Params2Table<qUE, RUNTIME_KEY>
}