package ru.landgrafhomyak.db.skeleton1.api.table

import kotlin.jvm.JvmName
import ru.landgrafhomyak.db.skeleton1.api.DebugApi
import ru.landgrafhomyak.db.skeleton1.api.DatabaseType

public interface Column<RUNTIME_TYPE, TABLE_USER_EXTENSION : Any, RUNTIME_KEY : Any> {
	@DebugApi
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("name")
	public val name: String

	@DebugApi
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("type")
	public val type: DatabaseType<RUNTIME_TYPE>

	@DebugApi
	@Suppress("INAPPLICABLE_JVM_NAME")
	@get:JvmName("getTable")
	public val table: Table<TABLE_USER_EXTENSION, *, RUNTIME_KEY>
}