package ru.landgrafhomyak.db.skeleton1.api.runtime

import ru.landgrafhomyak.db.skeleton1.api.LowLevelApi
import ru.landgrafhomyak.db.skeleton1.api.statement._Statement

public interface Transaction<RK : Any> {
	public suspend fun <qUE : Any?> executeQuery_void2void(compiledQuery: _Statement.Void2Void<qUE, RK>)

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_void2row(compiledQuery: _Statement.Void2Row<qUE, RK>): OutputRow._Scope<qUE, RK, Unit>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_void2rowOrNull(compiledQuery: _Statement.Void2RowOrNull<qUE, RK>): OutputRow._Scope<qUE, RK, Unit>?

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_void2table(compiledQuery: _Statement.Void2RowOrNull<qUE, RK>): OutputRow._Iterator<qUE, RK, Unit>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2void(compiledQuery: _Statement.Void2Void<qUE, RK>): InputRow._Scope<qUE, RK, Unit>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2row(compiledQuery: _Statement.Void2Row<qUE, RK>): InputRow._Scope<qUE, RK, OutputRow._Scope<qUE, RK, Unit>>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2rowOrNull(compiledQuery: _Statement.Void2RowOrNull<qUE, RK>): InputRow._Scope<qUE, RK, OutputRow._Scope<qUE, RK, Unit>?>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeQuery_params2table(compiledQuery: _Statement.Void2RowOrNull<qUE, RK>): InputRow._Scope<qUE, RK, OutputRow._Iterator<qUE, RK, Unit>>

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun <qUE : Any> _executeBatch_params2void(compiledQuery: _Statement.Void2Void<qUE, RK>): InputRow._Iterator<qUE, RK, Unit>

	public suspend fun rollback()

	public suspend fun commit()

	@Suppress("FunctionName")
	@LowLevelApi
	public suspend fun _assertTransactionFinishedAndReleaseResources()
}